%define module gflags

Name:           python-%{module}
Version:        3.1.2
Release:        %mkrel 9
Summary:        Commandline flags module for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/google/python-gflags
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This project is the python equivalent of google-gflags, a Google commandline
flag implementation for C++. It is intended to be used in situations where a
project wants to mimic the command-line flag handling of a C++ app that uses
google-gflags, or for a Python app that, via swig or some other means, is
linked with a C++ app that uses google-gflags.

The gflags package contains a library that implements commandline flags
processing. As such it's a replacement for getopt(). It has increased
flexibility, including built-in support for Python types, and the ability to
define flags in the source file in which they're used. (This last is its major
difference from OptParse.)

#------------------------------------------------

%package -n     python3-%{module}
Summary:        Commandline flags module for Python 3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This project is the python equivalent of google-gflags, a Google commandline
flag implementation for C++. It is intended to be used in situations where a
project wants to mimic the command-line flag handling of a C++ app that uses
google-gflags, or for a Python app that, via swig or some other means, is
linked with a C++ app that uses google-gflags.

The gflags package contains a library that implements commandline flags
processing. As such it's a replacement for getopt(). It has increased
flexibility, including built-in support for Python types, and the ability to
define flags in the source file in which they're used. (This last is its major
difference from OptParse.)

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q

sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|' gflags2man.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc AUTHORS ChangeLog COPYING README.md PKG-INFO
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_gflags-%{version}-*egg-info
%{_bindir}/gflags2man.py


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.1.2-9.mga9
+ Revision: 1823756
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.1.2-8.mga9
+ Revision: 1784467
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.1.2-7.mga9
+ Revision: 1733088
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.1.2-6.mga8
+ Revision: 1533095
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 3.1.2-5.mga8
+ Revision: 1443322
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 3.1.2-4.mga7
+ Revision: 1353164
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.1.2-3.mga7
+ Revision: 1288922
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 3.1.2-2.mga7
+ Revision: 1219168
- Use python_provide

* Tue Mar 20 2018 kekepower <kekepower> 3.1.2-1.mga7
+ Revision: 1210808
- Update to version 3.1.2

* Wed Aug 09 2017 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1139155
- new version: 3.1.1
- rename python-gflags to python2-gflags

* Sat Aug 05 2017 pterjan <pterjan> 2.0-12.mga7
+ Revision: 1135435
- Rebuild for python 3.6

* Mon Feb 01 2016 daviddavid <daviddavid> 2.0-11.mga6
+ Revision: 929684
- add python3 package
- use new python macros

* Sun Jan 31 2016 umeabot <umeabot> 2.0-10.mga6
+ Revision: 929426
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-9.mga5
+ Revision: 747060
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-8.mga5
+ Revision: 728545
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-7.mga5
+ Revision: 688051
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 543446
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0-4.mga4
+ Revision: 498678
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 04 2013 philippem <philippem> 2.0-3.mga4
+ Revision: 491534
+ rebuild (emptylog)

* Sun Jun 09 2013 fwang <fwang> 2.0-2.mga4
+ Revision: 440988
- fix br

* Fri Feb 22 2013 kharec <kharec> 2.0-1.mga3
+ Revision: 399927
- imported package python-gflags

